﻿using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp98
{
    public class UltraCheckEditorWithNonResponsiveLabel : UltraCheckEditor
    {
        protected override void OnMouseDown(MouseEventArgs e)
        {
            var mainElement = this.UIElement;
            
            var elementUnderTheMouse = mainElement.ElementFromPoint(e.Location);
            if (elementUnderTheMouse is TextUIElement)
                return;

            base.OnMouseDown(e);
        }
        protected override void OnMouseUp(MouseEventArgs e)
        {
            var mainElement = this.UIElement;
            var elementUnderTheMouse = mainElement.ElementFromPoint(e.Location);
            if (elementUnderTheMouse is TextUIElement)
                return;

            base.OnMouseUp(e);
        }
    }
}
